Get Agent
curl --request GET \
--url https://geekai.dev/api/v1/agent/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://geekai.dev/api/v1/agent/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://geekai.dev/api/v1/agent/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"desc": "<string>",
"logo": "<string>",
"model": "<string>",
"chat_level": 123,
"interneted": 123,
"stream": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"code": "unauthorized",
"message": "invalid api key or token"
}{
"code": "not_found",
"message": "resource not found"
}{
"code": "invalid_request",
"message": "invalid request"
}Agent
Get Agent Info
GET
/
agent
/
{uuid}
Get Agent
After the agent is successfully created or updated, you can check the agent training status through the query interface.
Authorizations
bearerAuthapiKeyAuth
token
Path Parameters
uuid
Response
successful response
agent UUID
agent name
agent description
agent status
Available options:
initializing, ready, training, error agent logo URL
chat model
chat level
enable internet access
enable stream output
creation timestamp
Was this page helpful?
⌘I
